Upload Lesson Attachments#
Adds files to the lesson attachments JSON. Allowed: pdf, doc, docx, xlsx, ppt, pptx, txt, zip, rar. Max 10 MB each. Storage must be configured. Requires manage-knowledge-hub-lessons.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
lesson_idstringbodyrequired
Base64 or numeric lesson id
attachmentsfilebody
One or more files (attachments[])
curl --request POST \
--url https://app.rizzdial.com/api/knowledge-hub/lessons/attachments/upload \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'lesson_id=MQ==' \
--form 'attachments[]=@notes.pdf'messagestring
N attachment(s) uploaded successfully.
data.uploaded_attachmentsarray
filename, path, size, type